Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005491TestLinkExport/Importpublic2013-01-22 10:412013-01-24 11:10
Reportervirgo0 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSRHELOS Version6.0
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005491: DB Access Error when import test case XML with CF
DescriptionGet latest packet from
http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^]

Import test case with custom field and get DB Access Error
 - Test project also assign corresponding custom field
 - No this error if un-assign CF from test project


 ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
 ==============================================================================
Fatal error: Call to a member function RecordCount() on a non-object in /tl196/lib/functions/database.class.php on line 510
Steps To Reproduce1. Fresh install after get latest package based on 0005406
2. Create test project (with default settings)
3. Import test case from XML (attachment "IO.testsuite-deep-196.xml")
4. Change to sub-folder ("Storage IO") and import test case from XML again
   - Can't import, refer to attachment "01.Import without CF assigned.jpg"
5. Import CF from XML (attachment "customFields.xml") and assign to test project
6. Change to sub-folder ("Storage IO") and import test case from XML again
   - Get DB Access Error, refer to attachment "02.Import with CF assigned.jpg"
Additional InformationCheck fix of 0005309
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserChrome 24.0
PHP Version5.3.2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon IO.testsuite-deep-196.xml [^] (1,762 bytes) 2013-01-22 10:41
xml file icon customFields.xml [^] (3,224 bytes) 2013-01-22 10:43
jpg file icon 01.Import without CF assigned.jpg [^] (101,005 bytes) 2013-01-22 10:43


jpg file icon 02.Import with CF assigned.jpg [^] (62,840 bytes) 2013-01-22 10:43


jpg file icon 03.Fix_Import with CF assigned.jpg [^] (96,236 bytes) 2013-01-24 01:11

- Relationships

-  Notes
(0018215)
fman (administrator)
2013-01-23 17:40

http://gitorious.org/testlink-ga/testlink-code/commit/f1df3b79be2f98355a017d0d64a8107e78093048 [^]
(0018216)
fman (administrator)
2013-01-23 18:00

>> 6. Change to sub-folder ("Storage IO") and import test case from XML again
>> - Get DB Access Error, refer to attachment "02.Import with CF assigned.jpg"
If think you want to do is redo import to update already imported test cases, AFTER you have imported and assigned CF this is step is wrong

You need to repeat step 3
(0018217)
virgo0 (reporter)
2013-01-24 01:15

@Fman

Fix is ok, thanks.

What I want to do is checking if import test case with existent external ID will be blocked.

- Issue History
Date Modified Username Field Change
2013-01-22 10:41 virgo0 New Issue
2013-01-22 10:41 virgo0 File Added: IO.testsuite-deep-196.xml
2013-01-22 10:43 virgo0 File Added: customFields.xml
2013-01-22 10:43 virgo0 File Added: 01.Import without CF assigned.jpg
2013-01-22 10:43 virgo0 File Added: 02.Import with CF assigned.jpg
2013-01-23 17:40 fman Note Added: 0018215
2013-01-23 17:41 fman Tag Attached: TO BE FIXED on 2.0
2013-01-23 17:58 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-01-23 18:00 fman Note Added: 0018216
2013-01-23 18:00 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-01-24 01:11 virgo0 File Added: 03.Fix_Import with CF assigned.jpg
2013-01-24 01:15 virgo0 Note Added: 0018217
2013-01-24 11:10 fman Status new => closed
2013-01-24 11:10 fman Assigned To => fman
2013-01-24 11:10 fman Resolution open => fixed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker